{
  "name": "eas-admin",
  "version": "0.9.9",
  "description": "",
  "keywords": [],
  "scripts": {
    "dev": "cross-env VITE_SERVICE_ENV=dev vite",
    "dev:test": "cross-env VITE_SERVICE_ENV=test vite",
    "dev:prod": "cross-env VITE_SERVICE_ENV=prod vite",
    "build": "npm run typecheck && cross-env VITE_SERVICE_ENV=prod vite build",
    "build:dev": "npm run typecheck && cross-env VITE_SERVICE_ENV=dev vite build",
    "build:test": "npm run typecheck && cross-env VITE_SERVICE_ENV=test vite build",
    "build:vercel": "cross-env VITE_HASH_ROUTE=Y VITE_VERCEL=Y vite build",
    "preview": "vite preview",
    "typecheck": "vue-tsc --noEmit --skipLibCheck",
    "lint": "eslint . --fix --ext .js,.jsx,.mjs,.json,.ts,.tsx,.vue",
    "format": "soy prettier-format",
    "cleanup": "soy cleanup",
    "update-pkg": "soy update-pkg",
    "tsx": "tsx",
    "logo": "tsx ./scripts/logo.ts",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s",
    "release": "standard-version"
  },
  "dependencies": {
    "@ant-design/icons-vue": "^6.1.0",
    "@antv/data-set": "^0.11.8",
    "@antv/g2": "^4.2.10",
    "@better-scroll/core": "^2.5.1",
    "@fast-crud/fast-crud": "^1.13.6",
    "@fast-crud/fast-extends": "^1.13.6",
    "@fast-crud/ui-interface": "^1.13.6",
    "@fast-crud/ui-naive": "^1.13.6",
    "@iconify/iconify": "2.0.1",
    "@purge-icons/generated": "0.7.0",
    "@soybeanjs/vue-materials": "^0.1.9",
    "@vicons/antd": "^0.12.0",
    "@vueuse/core": "^10.1.2",
    "ant-design-vue": "4.0.0-rc.6",
    "axios": "1.4.0",
    "clipboard": "^2.0.11",
    "colord": "^2.9.3",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.7",
    "docx-preview": "^0.1.18",
    "echarts": "^5.4.2",
    "form-data": "^4.0.0",
    "local-pkg": "^0.4.3",
    "lodash-es": "^4.17.21",
    "pinia": "^2.1.3",
    "print-js": "^1.6.0",
    "qs": "^6.11.2",
    "swiper": "^9.3.2",
    "ua-parser-js": "^1.0.35",
    "vditor": "^3.9.2",
    "vite-plugin-purge-icons": "0.7.0",
    "vue": "3.3.4",
    "vue-i18n": "^9.2.2",
    "vue-monoplasty-slide-verify": "^1.3.1",
    "vue-pdf-embed": "^1.1.6",
    "vue-router": "^4.2.1",
    "vue-slider-vertify": "^0.0.1",
    "vue3-pdfjs": "^0.1.6",
    "vuedraggable": "^4.1.0",
    "wangeditor": "^4.7.15",
    "xgplayer": "^3.0.2",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@amap/amap-jsapi-types": "^0.0.13",
    "@iconify/json": "^2.2.67",
    "@iconify/vue": "^4.1.1",
    "@soybeanjs/cli": "^0.1.9",
    "@soybeanjs/vite-plugin-vue-page-route": "^0.0.5",
    "@types/bmapgl": "^0.0.7",
    "@types/crypto-js": "^4.1.1",
    "@types/node": "20.2.1",
    "@types/qs": "^6.9.7",
    "@types/ua-parser-js": "^0.7.36",
    "@types/vue": "^2.0.0",
    "@unocss/preset-uno": "^0.52.0",
    "@unocss/transformer-directives": "^0.52.0",
    "@unocss/vite": "^0.52.0",
    "@vicons/fluent": "^0.12.0",
    "@vicons/ionicons4": "^0.12.0",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vitejs/plugin-vue-jsx": "^3.0.1",
    "conventional-changelog": "^3.1.25",
    "cross-env": "^7.0.3",
    "eslint": "^8.41.0",
    "eslint-config-soybeanjs": "^0.3.7",
    "fs": "0.0.1-security",
    "lint-staged": "13.2.2",
    "mockjs": "^1.1.0",
    "naive-ui": "2.34.4",
    "rollup-plugin-visualizer": "^5.9.0",
    "sass": "^1.62.1",
    "simple-git-hooks": "^2.8.1",
    "standard-version": "^9.5.0",
    "tsx": "^3.12.7",
    "typescript": "5.0.4",
    "unocss": "^0.54.1",
    "unplugin-icons": "^0.16.1",
    "unplugin-vue-components": "0.24.1",
    "vfonts": "^0.0.3",
    "vite": "^4.3.8",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-mock": "2.9.8",
    "vite-plugin-progress": "^0.0.7",
    "vite-plugin-pwa": "^0.15.0",
    "vite-plugin-svg-icons": "^2.0.1",
    "vite-plugin-top-level-await": "^1.3.1",
    "vue-tsc": "1.6.5"
  },
  "pnpm": {
    "patchedDependencies": {
      "mockjs@1.1.0": "patches/mockjs@1.1.0.patch"
    }
  },
  "simple-git-hooks": {
    "commit-msg": "pnpm soy git-commit-verify",
    "pre-commit": "pnpm typecheck && pnpm lint-staged"
  },
  "lint-staged": {
    "*.{js,jsx,mjs,json,ts,tsx,vue}": "eslint . --fix"
  }
}
